# Drupal Commerce Connector for Avatax.

The [Drupal Commerce Connector for Avatax] is a Drupal compliant module that
integrates the Drupal Commerce with [AvaTax from Avalara, Inc.] and is used for
tax calculations and tax compliance.

AvaTax reduces the audit risk to a company with a cloud-based sales tax
services that makes it simple to do rate calculation while managing exemption
certificates, filing forms and remitting payments.

The tax is calculated based on the delivery address, the sales tax codes
assigned to line item in the order, and the sales tax rules applicable to the
states in which Nexus has been configured.

Access to a full development account can be requested by contacting Avalara, Inc.

The service uses the AvaTax Rest api v2 for processing transactions.

## Installation

As with Drupal Commerce, and its contributed modules, you must installed with Composer.

```bash
composer require drupal/commerce_avatax:^1.0
```

After installing the module, go to `/admin/commerce/config/tax-types` and add a tax type.
You will see a list, you can pick Avatax and enter Avalara configuration. All configuration 
are available when you created an account with Avalara. You will have two options available,
sandbox or production.

After you finish from this step you should go to each prodcuct you created and edit the product 
then click on edit variation and enter Avalara tax code for this variation.  

You can get the code from https://taxcode.avatax.avalara.com

[Drupal Commerce Connector for Avatax]: https://www.drupal.org/project/commerce_avatax
[AvaTax from Avalara, Inc.]: https://www.avalara.com/products/sales-and-use-tax/avatax-2
